Get OEM Build Data
Retrieve complete vehicle build information based on the VIN, including exact trim details, drivetrain, engine specifications, interior/exterior colors, factory options, and MSRP data. This comprehensive API provides the most detailed vehicle information available from OEM build records.
AuthorizationBearer <token>
Use your API key in the Authorization header: Authorization: Bearer YOUR_API_KEY
In: header
Path Parameters
vinstring
17-character Vehicle Identification Number
Match
^[A-HJ-NPR-Z0-9]{17}$Response Body
curl -X GET "https://api.auto.dev/build/string"{
"build": {
"vin": "1FTFW3LDXRFB40317",
"year": 2019,
"make": "Porsche",
"model": "911",
"trim": "GT3 RS Coupe",
"series": "GT3 RS",
"style": "2D Coupe",
"drivetrain": "RWD",
"engine": "4L H-6 gasoline direct injection, DOHC, VarioCam Plus variable valve control, premium unleaded, engine with 520HP",
"transmission": "PDK 7-speed auto-shift manual",
"confidence": 0.995,
"interiorColor": {
"Black": "#000000"
},
"exteriorColor": {
"GT Silver Metallic": "#A2A2A2"
},
"options": {
"474": "Front Axle Lift System",
"QR5": "Chrono Package with Preparation For Lap Trigger",
"U2": "GT Silver Metallic",
"XDH": "Wheels Painted in Satin Platinum"
},
"optionsMsrp": 8950,
"headUpDisplay": false,
"rainSensingWipers": false
}
}{
"vehicle": {
"vin": "1C4RJHBR3V8175351",
"year": 2027,
"make": "Jeep",
"model": "Grand Cherokee",
"body": "Suv 4D"
},
"build": null,
"catalog": {
"vinSpecific": false,
"styles": [
{
"name": "Limited Reserve 4dr SUV 4WD (2.0L 4cyl Turbo 8A)",
"trim": "Limited Reserve",
"confidence": 0.85,
"msrp": 52555
},
{
"name": "Limited 4dr SUV 4WD (2.0L 4cyl Turbo 8A)",
"trim": "Limited",
"confidence": 0.15,
"msrp": 46960
}
],
"standardEquipment": [
"Dual fuel injection",
"Full time 4WD",
"Electronic single speed"
],
"availableOptions": [
{
"code": null,
"name": "Mopar finishing package"
},
{
"code": null,
"name": "Trailer tow package"
}
],
"exteriorColors": [
{
"name": "Sting-Gray Clear Coat",
"colorCode": "#5E5E5E"
},
{
"name": "High Gloss Black",
"colorCode": "#000000"
}
],
"interiorColors": [
{
"name": "Global Black, leatherette",
"colorCode": "#000000"
}
]
},
"reason": "not_yet_available",
"retryable": true
}{
"error": {
"status": 400,
"error": "VIN must be exactly 17 characters containing only letters and numbers (excluding I, O, Q)",
"code": "INVALID_VIN_FORMAT",
"path": "/build/123Invalid",
"requestId": "a1b2c3d4e5f6g7h8"
}
}{
"build": {
"error": "No build data available",
"vin": "1FMDU32X6RUE08716"
},
"reason": "no_build_record",
"retryable": false,
"error": {
"status": 404,
"error": "No build data available for this vehicle.",
"code": "VIN_NOT_FOUND",
"path": "/build/1FMDU32X6RUE08716",
"requestId": "nu9cn44nt2ek5rbk",
"reason": "no_build_record",
"retryable": false
}
}